#version 430
layout (location = 0) in vec4 Position;

layout (std140, binding = 0) uniform Common
{
	mat4 view;
	mat4 projection;
	mat4 viewProjection;
	vec3 cameraPos;
	int useDepthTexture;
};

uniform mat4 modelMatrix;
//uniform mat4 viewMatrix;
out vData { float TTL1; } vertex;


void main()
{
	gl_Position = view * modelMatrix * vec4(Position.xyz, 1.0f);
	vertex.TTL1 = Position.w;
}