#version 430

in vec2 TexCoord0;
flat in float TTL0;
out vec4 FragColor;

uniform float timeOfLife;

uniform float alpha;
uniform vec3 color;

void main() 
{
	float brightness = alpha * max(0.0, 1.0 - length(TexCoord0));
	brightness = brightness * TTL0 / timeOfLife;
	FragColor = vec4(color, 1.0) * vec4(brightness,brightness,brightness,brightness);
}